# Description:
#  Accorcia un link usando l'api di breve.xyz
#
# Dependencies:
#   valid-url
#
# Configuration:
#   None
#
# Commands:
#   hubot accorcia/breve <url> - accorcia un link
#
# Author:
#   Michele Guerini Rocco (rnhmjoj)
#

{ is_web_uri } = require 'valid-url'

valid   = ['eccoti: ', 'ecco qui: ', 'fatto: ', '']
invalid = ['eh?', "cos'è sta roba?", 'sarebbe un url questo?']

module.exports = (robot) ->
  robot.respond /breve|accorcia (.+)$/i, (res) ->
    url = res.match[1]
    if is_web_uri url 
      robot.http('https://breve.xyz/api')
      .header('Content-Type','application/x-www-form-urlencoded')
      .post("url=#{url}") (err, r, body) ->
        res.send (res.random valid) + (JSON.parse body).link
    else
      res.send res.random invalid